Subject: [manet] What logical hop of RFC5444 packets mean? What did WG agree on?

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 12 Sep 2014 13:19:23 +0200

Just to remind the WG of an important issue or question that may wast the
readers time. I think WG needs to fix that.

If the WG have consensus on something then we should write it down in RFC
or update our RFC. The logical hop and possible many IP hop in one logical
hop is not following the WG thoughts about RFC5444 packet with TTL=1.
Furthermore if the WG has in mind a protocol/architecture/system for
multiplexing the why the WG does not write it in an RFC.  Read below texts.

On Monday, September 8, 2014, Christopher Dearlove wrote:

> This is no different to NHDP's requirements (which may use the IP packet
> source address). It is, as I have said, a 5444 multiplexing issue.
>
> It does, I agree open up the question as to what one logical hop means
> precisely. Right now I forget why that distinction was put in 5444, I think
> was a requirement from outside the authors.

The RFC5444 is not owned by authors, it's the WG work and the WG cannot be
outside the authors. So TTL can be any number as the WG consensus.

>
>
> > On 8 Sep 2014, at 22:18, Charlie Perkins <[email-masked]
> <javascript:;>> wrote:
> >
> > Hello Chris,
> >
> > AODVv2 needs the functionality because it relies on
> > reverse path forwarding.
> >
> > AODVv2 should be able to control the dissemination of
> > AODVv2 messages, and since AODVv2 messages are contained
> > in packets, then it seems that AODVv2 ought to be able to
> > specify how packets containing AODVv2 messages are to
> > be disseminated.
> >
> > In RFC 5444, one finds the following:
> >
> >>    Messages are designed to be able to be forwarded over one or more
> >>    logical hops, in a new packet for each logical hop.  Each logical hop
> >>    may consist of one or more IP hops.
> >
> > I admit that this passage may be interpreted in various different ways.
> > But to me it meant that AODVv2 needs to make sure that there would
> > just be one hop.  The term "logical hop" isn't defined in the document,
> > and I'm sure we could both write down multiple reasonable definitions
> > for the term.  Overlay networks come to mind, or multi-link Ethernet
> > media, or ...
> >

Logical hop SHOULD have been defined by the WG. I suggest we put it into
errata or future update to RFC5444.

AB